Package com.google.android.exoplayer2.extractor

## Interface ExtractorOutput

- All Known Implementing Classes:
    `BundledChunkExtractor`, `DummyExtractorOutput`, `FakeExtractorOutput`, `StartOffsetExtractorOutput`

      public interface ExtractorOutput

  Receives stream level data extracted by an `Extractor`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ExtractorOutput` | `PLACEHOLDER` | Placeholder `ExtractorOutput` implementation throwing an `UnsupportedOperationException` in each method.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `endTracks()` | Called when all tracks have been identified, meaning no new `trackId` values will be passed to `track(int, int)`.
    `void` | `seekMap​(SeekMap seekMap)` | Called when a `SeekMap` has been extracted from the stream.
    `TrackOutput` | `track​(int id, @com.google.android.exoplayer2.C.TrackType int type)` | Called by the `Extractor` to get the `TrackOutput` for a specific track.

- - ### Field Detail

    - #### PLACEHOLDER

          static final ExtractorOutput PLACEHOLDER

      Placeholder `ExtractorOutput` implementation throwing an `UnsupportedOperationException` in each method.

  - ### Method Detail

    - #### track

          TrackOutput track​(int id,
                            @com.google.android.exoplayer2.C.TrackType int type)

      Called by the `Extractor` to get the `TrackOutput` for a specific track.

      The same `TrackOutput` is returned if multiple calls are made with the same `id`.

      Parameters:
        `id` - A track identifier.
        `type` - The `track type`.
      Returns:
        The `TrackOutput` for the given track identifier.

    - #### endTracks

          void endTracks()

      Called when all tracks have been identified, meaning no new `trackId` values will be passed to `track(int, int)`.

    - #### seekMap

          void seekMap​(SeekMap seekMap)

      Called when a `SeekMap` has been extracted from the stream.
      Parameters:
        `seekMap` - The extracted `SeekMap`.